Skip to main content

Resolve Member (V2)

Resolves an organization member by email or user ID. Exactly one of email or userId must be provided.

GET/v2/members
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
emailstringquery

The member email address.

Example Value: alice@example.com
userIdstringquery

The member user ID.

Example Value: usr-xxxxxxxxxxxxxx
bash
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/members" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Responses

Returns a successful result or an error message.

A successful response.

codeintegerrequired

The response code.

Example Value: 0
dataobjectrequired

A resolved organization member.

userIdstring

The member user ID.

Example Value: usr-xxxxxxxxxxxxxx
namestring

The member display name.

Example Value: Alice Wang
emailstring

The member email address.

Example Value: alice@example.com

A failure response.

codeintegerrequired

The response code.

messagestringrequired

The error message.

Successjson
{
"code": 0,
"data": {
"userId": "usr-xxxxxxxxxxxxxx",
"name": "Alice Wang",
"email": "alice@example.com"
}
}
Ctrl I